# Slayer Skills

## Embrace the Path of The Slayer: Trophy drops earn buffs vs creature types!

Trophies dropped from creatures increases your Slayer level, and add to your damage buffs against that creature.

Keep track of your slayer level on the Trophy panel. Every trophy dropped increases your buff until you reach the coveted title of **Slayer**

Configure how slayer points are awarded in multiplayer, by creature level and for bosses.

Your tamed creatures can help gain slayer skill points.


## New

- 1.0.6 Updated for release 0.217.22
- 1.0.5 Fixed PvP issue where striking another player would send struck player into black screen limbo.
- 1.0.4 Updated for Hildir's Request
- 1.0.4 Allow slayer skills to use raiseskill/resetskill (server authoritative)

## Configuration

### Slayer Skills

- **SkillCap**: Sets the maximum Slayer level. Every slayer point earned increases the percentage of the damage buff against a specific creature type.
- **TrophyDistance**: Sets the maximum distance that a player (in multiplayer) can be from the trophy drop to qualify for the slayer point."
- **LowerSkillsOnDeath**: If enabled, will lower slayer skills for all creature types the same percentage as 'regular' skills.
- **AllowCheats**: If enabled, allows raising and resetting Slayer skills using 'raiseskill' and 'resetskill' commands from the console, If the trophy name contains spaces, use an underscore (_) instead of a space, e.g. 'raiseskill Greydwarf_Brute 3'. Note the trophy name is case sensitive!

### Slayer Damage

- **BuffPhysical**: If enabled, applies slayer bonus to physical damage (slash, blunt, pierce)
- **BuffElemental**: If enabled, applies slayer bonus to elemental damage (lightning, fire, frost)
- **BuffOther**: If enabled, applies slayer bonus to other damage (poison, spirit)
- **DamageCap**: Sets the maximum damage percent of normal damage that will be added to your damage, based upon your Slayer level.

### Slayer Points

- **MultiplayerPoints**: Controls how slayer points are awarded in multiplayer. _Random_ grants the point to one player in group. _All_ grants a point to every player in group. _Distribute_ grants a fraction of a point evenly to every player in group. _KillingBlow_ grants the point to the player that dealt the death blow.
- **UseCreatureLevel**:  If enabled, adjusts the Slayer points awarded on trophy drop based on the level (number of 'Stars') of the creature slain.
- **BossAdjustment**: Adjusts Slayer points awarded to account for bosses.

### Tamed Creatures

- **TamesCanSlay**:  If enabled, trophy drops from kills made by your tames add to your slayer points.
- **TamesGetBuff**: If enabled, tames also gain your slayer damage buff.

### Utility

- ***LogLevel***: Controls the level of information in the log.

## Notes

The color of the slayer points in the Trophy pane is temporarily gone. Will be reintroduced soon!

All config settings are server authoritative except those in ***bold italics***

You don't need to pick up a trophy to earn the slayer points. Points are awarded when the trophy drops.
You don't need to retain the trophies to keep the slayer points. The points are 'permanent'.

_DamageCap_ is the _maximum_ percentage of your _normal_ damage that can be added to your normal damage, when fighting different creature types. To actually get the maximum damage buff applied, you must achieve the maximum Slayer level.
_SkillCap_ is the _maximum_ number of Slayer points that can be collected from dropped trophies. Your current Slayer level determines the _actual_ percent of your maximum buff added to your attack damage.

Once you have achieved **Slayer** status for any creature type:
- Your slayer skill for that creature _will not_ be lowered on death.
- You will no longer earn any additional slayer skill

If the _SkillCap_ is raised:
- You will no longer be considered a Slayer until reaching the new cap (and will be subject to death penalties)
- You will be eligible to accumulate more slayer skill

If the _SkillCap_ is lowered:
- You will become a Slayer for creature types where your slayer skill is already above the new cap
- You will not lose existing slayer skill (in case the cap is raised again)
- Your slayer damage will be limited to the new cap.

If you set _UseCreatureLevel_ to true, 'starred' creatures will increase the Slayer points awarded for dropped trophies, based on the number of 'stars'.

The _BossAdjustment_ sets the _additional_ Slayer points awarded when the boss drops a trophy. 
- If _UseCreatureLevel_ is set to true, the _BossAdjustment_ value is _added_ to the level of the boss (for mods that power-up bosses by increasing their 'Stars')

### Compatibility issues & defects

- If you find a compatibility issue you can post it on NexusMods. Be sure to include the mod name and version you think may be incompatible.
- If you have a bug please report it on NexusMods. If you do post a bug report, please make sure to include the following:
    - Your version of this mod
    - What you were doing, or attempting to do when it happened
    - If it's repeatable - i.e., can you duplicate it?
    - The exact behavior you observed (or didn't observe)
    - If possible, post a capture of the log file with errors (errors always begin with this mod's name) on Discord


You can find all Neobotics released mods on: 
- Thunderstore: https://tinyurl.com/NeoboticsOnThunderstore 
- Nexus Mods: https://tinyurl.com/NeoboticsOnNexus

Your comments and feedback are always welcome. Post on NexusMods or Discord: https://discord.gg/wJRqmuwD7h